The get/set commands can be used to configure automatic backups of the Multi-Tenant LoadMaster. The automatic backup is performed at the specified time and is saved on a remote host (via FTP). The automatic backup configuration can be managed using set/get commands.

Example Command

curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/set?param=backupEnable&value=yes"

Available Parameters

Parameter

Parameter Type

Parameter Description

Mandatory

backupEnable

Boolean

0 - Disabled

1 - Enabled

No

backupDay

Integer

0 - Daily

1 - Monday… etc.

7 - Sunday

No

backupHost

Address

The IP address of the remote host to save the backups to.

No

backupPath

String

The path to the folder on the remote host to store the backups in.

No

backupHour

Integer

0 - Midnight… etc.

23 - 11 PM

No

backupMinute

Integer

0 to 59

No

backupUser

String

The username of the remote FTP user.

No

backupPassword

String

The password of the remote FTP user.

No

Example Output

<?xml version="1.0" encoding="ISO-8859-1"?>
<Response stat="200" code="OK">
<Success>Command completed ok</Success>
</Response>